<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('signedurl_typedocument', function (Blueprint $table) {
            $table->id();
            $table->foreignId('signed_url_id')->constrained()->onDelete('cascade');
            $table->foreignId('type_document_id')->constrained()->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('signedurl_typedocument');
    }
};
